#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-9oH2zLPxq7bG9eucRDJgzk
key:                  ghcide-2.0.0.0-9oH2zLPxq7bG9eucRDJgzk
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  c7f3942002d64c45b7a490b9d199db8b
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-9oH2zLPxq7bG9eucRDJgzk
depends:
    Diff-0.4.1-76hxB7iu2dgLeu2Kxqhnk5
    Glob-0.10.2-IFlgcw4Qdum2QIUCgVkUzM
    aeson-2.1.2.1-Kzzie09M6AYFH8VDx0mx86
    aeson-pretty-0.8.10-LSMEybji2H0AjtTXnGZSdX array-0.5.4.0
    async-2.2.5-C82nSOzgP1IGLwyW5rdGdd base-4.17.2.1
    base16-bytestring-1.0.2.0-KDSFpGK70SNFrMbzTIS4T1 binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-AtT9PetKXQ46vh6orGagap
    co-log-core-0.3.2.3-G1Z3W8QCWzZ8KaIfWj5gcH containers-0.6.7
    cryptohash-sha1-0.11.101.0-GRHp3JkMorqFgos3X4dDy6
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-HQftaDA5YHd3OVI3JXbMOc
    dependent-sum-0.7.2.0-4M61SUFoc1RfzMytNYdIM directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-6pfGTNRroYE5up8i1gRa4C exceptions-0.10.5
    extra-1.7.16-Bey2vPU3D4iIpeD8oPKkuc filepath-1.4.2.2
    fingertree-0.1.5.0-8DRwhxcExWPKPvW5r9fDDN
    focus-1.0.3.2-BK85YZfTG381ouJKEHjCEH ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-5HIP2LGNFJNDJIZ5qw4iuc
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-6wqje4vtTc81Fs2c63np6r
    hashable-1.4.4.0-AtkYwZfsO44KEb9h1CQ6ig
    hie-bios-0.12.0-HwQqRS8lohh4D9oWypZomD
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-srs4GuNd8a5Mv803c3rdK
    hls-graph-2.0.0.0-1bF5mrkmGtQDr0ahyO2Q8Q
    hls-plugin-api-2.0.0.0-4lOfG8sQIby38NRZazCSl6
    implicit-hie-0.1.2.7-5YeL5GQTlMTEZhgvO4gwnD
    implicit-hie-cradle-0.5.0.1-IJ0R35eGEBXBYMG1TzW1ic
    lens-5.2.3-JlyZXwZS00NBv5ScwlVipn
    list-t-1.0.5.5-Bq2yPc85Te9FvgzM9vvZa6
    lsp-1.6.0.0-ILXvXfUSiTJ29uGakQXc7N
    lsp-types-1.6.0.1-F3YxbYKbNmsH8hPh8PiwrG mtl-2.2.2
    opentelemetry-0.8.0-KRhhme0oP5t3B9vyyAKnNh
    optparse-applicative-0.17.1.0-3m15PZJ9R8tLZfnW85Yn0z
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-CrZ7BsQJ9pDCXOGGFM6iz2
    prettyprinter-ansi-terminal-1.1.3-IEr2TcuCyQgMLg4vnxF9Z
    random-1.2.1.2-LUVepo9xpbYCdyIKOUBgF2
    regex-tdfa-1.3.2.2-Lx2wVcETmehVQz7NWfugc
    safe-exceptions-0.1.7.4-5w6XO7RpbmiEEPwXahsA3g
    sorted-list-0.2.2.0-JTSJ6Os6byOACBCSpMGlOt
    sqlite-simple-0.4.19.0-ED1K9IerLSYGUEEIJgCgnw stm-2.5.1.0
    stm-containers-1.2.1.1-9dd6ZbezLNt1oNSBFnGz5
    syb-0.7.2.4-5EQR9W4f34Nc1xy39zlm4 text-2.0.2
    text-rope-0.3-WWdhZKOi6tGQCCj7tDcwZ time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-4Wsc1Zb3eoWC4jfumimD4V
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-6lPJVAOvNaZ2RxvZwsH66g
    vector-0.13.1.0-DP5vqiFKsIZ25TyoutQAjD

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

